## org.apache.mahout.common
Class StringRecordIterator

    java.lang.Object
      org.apache.mahout.common.StringRecordIterator

All Implemented Interfaces:
  java.util.Iterator<Pair<java.util.List<java.lang.String>,java.lang.Long>>

    public class StringRecordIterator

extends java.lang.Object
implements java.util.Iterator<Pair<java.util.List<java.lang.String>,java.lang.Long>>

Constructor Summary
`StringRecordIterator(FileLineIterable iterable, java.lang.String pattern)`

Method Summary
`boolean` `hasNext()`
`Pair<java.util.List<java.lang.String>,java.lang.Long>` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringRecordIterator

    public StringRecordIterator(FileLineIterable iterable,
                                java.lang.String pattern)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Pair<java.util.List<java.lang.String>,java.lang.Long>>`

### next

    public Pair<java.util.List<java.lang.String>,java.lang.Long> next()

  Specified by:
    `next` in interface `java.util.Iterator<Pair<java.util.List<java.lang.String>,java.lang.Long>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<Pair<java.util.List<java.lang.String>,java.lang.Long>>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.